package com.brilliance.isc.common.validator.es.support;

import com.brilliance.isc.common.validator.es.vo.EnvDespVo;

import java.util.Map;
import java.util.Set;

/**
 * 脚本校验器，不仅仅局限于JS，可以使Python
 * @author fukai
 * @param <T>
 */
public interface IScriptValidator<T> {
    String outputScript(EnvDespVo envDespVo, Set<String> loadSet);

    T compileForJava(EnvDespVo envDespVo);

    Map<String,String> validateBo(Object bo,String scriptName);
}
